From ca42b073fa4ed4e31c7f84e1ce615722c155933e Mon Sep 17 00:00:00 2001
From: Min Chen <chenm003@163.com>
Date: Fri, 6 Sep 2024 23:22:57 -0700
Subject: [PATCH 1/6] Fix __rdtsc

---
 source/test/testharness.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/source/test/testharness.h b/source/test/testharness.h
index 5b8e274b1..ef9c17668 100644
--- a/source/test/testharness.h
+++ b/source/test/testharness.h
@@ -88,6 +88,7 @@ static inline uint32_t __rdtsc(void)
     // TO-DO: replace clock() function with appropriate ARM cpu instructions
     a = clock();
 #elif  X265_ARCH_ARM64
+    asm volatile("isb" : : : "memory");
     asm volatile("mrs %0, cntvct_el0" : "=r"(a));
 #endif
     return a;
-- 
2.36.0.windows.1

